<xml> </xml>

SOLIDWORKS PDM Professional API Help | Send Feedback
GetFirstTransitionPosition Method (IEdmWorkflow6)
See Also Example

Collapse All Expand All Language Filter: All Language Filter: Multiple Language Filter: Visual Basic Language Filter: C# Language Filter: C++/CLI

EPDM.Interop.epdm Namespace > IEdmWorkflow6 Interface : GetFirstTransitionPosition Method (IEdmWorkflow6)

Visual Basic
C#
C++/CLI
Starts an enumeration of the state transitions in this workflow.

# Syntax

Visual Basic |
--- | ---

    Function GetFirstTransitionPosition() As IEdmPos5

C# |
--- | ---

    IEdmPos5 GetFirstTransitionPosition()

C++/CLI |
--- | ---

    IEdmPos5^ GetFirstTransitionPosition();

#### Return Value

IEdmPos5; position of the first workflow state transition in the enumeration

# Example

Graph a Workflow (VB.NET)
Graph a Workflow (C#)

# Remarks

After calling this method, pass the returned position of the first workflow state transition to IEdmWorkflow6::GetNextTransition to get the first workflow state transition in this list. Then call IEdmWorkflow6::GetNextTransition repeatedly to get the rest of the workflow state transitions.

C++ users not using smart-pointer wrapper functions must release the returned interface, IEdmPos5.

Return codes:

- S_OK: The method successfully executed.

# See Also

####

IEdmWorkflow6 Interface
IEdmWorkflow6 Members

# Availability

SOLIDWORKS PDM Professional Version 6.0